[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RGBPrime2XYZFunctor< T > Class Template Reference Color Space Conversions |

Convert non-linear (gamma corrected) R'G'B' into standardized tri-stimulus XYZ. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef NumericTraits< T > ::RealPromote | component_type
typedef TinyVector < component_type, 3 > | result_type
typedef TinyVector < component_type, 3 > | value_type

## Public Member Functions

result_type | operator() (argument_type const &rgb) const
| RGBPrime2XYZFunctor ()
| RGBPrime2XYZFunctor (component_type max)

## Detailed Description

### template<class T>
class vigra::RGBPrime2XYZFunctor< T >

Convert non-linear (gamma corrected) R'G'B' into standardized tri-stimulus XYZ.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the transformation

See vigra::RGBPrime2RGBFunctor and vigra::RGB2XYZFunctor for a description of the two steps.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef NumericTraits<T>::RealPromote component_type

the result's component type

typedef TinyVector<T, 3> argument_type

the functor's argument type

typedef TinyVector<component_type, 3> result_type

the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

RGBPrime2XYZFunctor | ( |  | ) |

default constructor The maximum value for each RGB component defaults to 255.

RGBPrime2XYZFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | argument_type const & | rgb | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)